#!/bin/bash

gold=$1
lang=$2
posmodel=$3
nermodel=$4

awk ' { print $1 } ' $gold | perl -pe 's/^\n/JAR!!/g' | perl -pe 's/\n/ /g' | perl -pe 's/JAR!!/\n/g' | java -jar ~/javacode/ixa-pipe-tok/target/ixa-pipe-tok-1.8.4.jar tok -l $lang --notok | java -jar ~/javacode/ixa-pipe-pos/target/ixa-pipe-pos-1.4.6.jar tag -m $posmodel | java -jar ~/javacode/ixa-pipe-nerc/target/ixa-pipe-nerc-1.5.4.jar tag -m $nermodel -o conll03 --clearFeatures no | awk ' { print $NF }' | paste - $gold |  awk ' { print $2" "$NF" "$1 } ' | perl -pe 's/\t//g' | perl -pe  's/[BI]-MISC/O/g' | perl -pe 's/[BI]-DATE/O/g' | perl -pe 's/[BI]-NUM/O/g' | perl -pe 's/[BI]-PRO/O/g' | perl -pe 's/[BI]-EVE/O/g' | perl -pe 's/ B-/ I-/g'
